# Yahoo! UI Library

### SWF Utility 3.3.0

Yahoo! UI Library > swf > SWF
Search:
Filters Show Private Show Protected Show Deprecated

## Class SWF

Creates the SWF instance and keeps the configuration data

### Constructor

SWF `( id , swfURL , p_oAttributes )`

Parameters:
  `id <String|HTMLElement>` The id of the element, or the element itself that the SWF will be inserted into. The width and height of the SWF will be set to the width and height of this container element.
  `swfURL <String>` The URL of the SWF to be embedded into the page.
  `p_oAttributes <Object>` (optional) Configuration parameters for the Flash application and values for Flashvars to be passed to the SWF. The p_oAttributes object allows the following additional properties:
  version : String
    The minimum version of Flash required on the user's machine.
  fixedAttributes : Object
    An object literal containing one or more of the following String keys and their values: `align, allowFullScreen, allowNetworking, allowScriptAccess, base, bgcolor, menu, name, quality, salign, scale, tabindex, wmode.` event from the thumb

### Properties

#### _instances - `private Object`

The static collection of all instances of the SWFs on the page.

### Methods

#### _eventHandler

`private void _eventHandler ( event )`
Propagates a specific event from Flash to JS.

Parameters:
  `event <Object>` The event to be propagated from Flash.

#### callSWF

`void callSWF ( func , args )`
Calls a specific function exposed by the SWF's ExternalInterface.

Parameters:
  `func <String>` the name of the function to call
  `args <Object>` the set of arguments to pass to the function.

#### eventHandler

`private void eventHandler ( swfid , event )`
Handles an event coming from within the SWF and delegate it to a specific instance of SWF.

Parameters:
  `swfid <String>` the id of the SWF dispatching the event
  `event <Object>` the event being transmitted.

#### toString

`String toString ( )`
Public accessor to the unique name of the SWF instance.

Returns: `String`
  Unique name of the SWF instance.

### Events

#### wrongflashversion

`wrongflashversion ( )`
Fired when the Flash player version on the user's machine is below the required value.

Copyright © 2011 Yahoo! Inc. All rights reserved.